Bug 24952 - Refund modal confirm button should have an ID
Summary: Refund modal confirm button should have an ID
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 23442
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-03-23 12:15 UTC by Martin Renvoize
Modified: 2020-04-03 21:45 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24952: Add id to refund modals confirm buttons (2.65 KB, patch)
2020-03-23 12:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24952: Add id to refund modals confirm buttons (2.70 KB, patch)
2020-03-23 12:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24952: Add id to refund modals confirm buttons (2.75 KB, patch)
2020-03-23 14:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-03-23 12:15:48 UTC
Sometimes people wish to override the refund confirmation button, for example, to open a cash register via JS.. as such it's helpful to have an ID for the button.
Comment 1 Martin Renvoize 2020-03-23 12:36:19 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-03-23 12:55:32 UTC
Created attachment 101444 [details] [review]
Bug 24952: Add id to refund modals confirm buttons

This patch adds an ID to the refund confirmation modals for both
borrower account and point of sale register details pages.

Test plan:
1/ Apply patch
2/ Attempt to issue a refund to a patron
3/ Inspect the page and note the presence of an ID for the confirm
   button,
4/ Attempt to issue a refund via point of sale register details page
5/ Inspect the page and note the presence of an ID for the confirm
   button.
6/ Signoff

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Tomás Cohen Arazi 2020-03-23 14:31:00 UTC
Created attachment 101451 [details] [review]
Bug 24952: Add id to refund modals confirm buttons

This patch adds an ID to the refund confirmation modals for both
borrower account and point of sale register details pages.

Test plan:
1/ Apply patch
2/ Attempt to issue a refund to a patron
3/ Inspect the page and note the presence of an ID for the confirm
   button,
4/ Attempt to issue a refund via point of sale register details page
5/ Inspect the page and note the presence of an ID for the confirm
   button.
6/ Signoff

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Martin Renvoize 2020-03-24 11:05:30 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:45:31 UTC
enhancement not backported to 19.11.x